# This is a demo to use sklearn.mixture.GaussianMixture 
# to learn a GMM and plot it
# ---
# Copyright (c) 2019-04-30
# Lei Yu, Antoni B. Chan
# Department of Computer Science
# City University of Hong Kong 
#
# v0.1

import numpy as np
import matplotlib.pyplot as plt
from sklearn.mixture import GaussianMixture
from sklearn.datasets.samples_generator import make_blobs
from pylib_dphem import plot_gmm


X, y_true = make_blobs(n_samples=400, centers=3,
                       cluster_std=0.60, random_state=0)



gmm = GaussianMixture(n_components=3,covariance_type='full',random_state=1).fit(X)

plot_gmm(gmm,X)

plt.show()










